Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.applet
Class CGIRelay

    java.lang.Object
      ix.applet.CGIRelay

Direct Known Subclasses:
  CGIServerStatus

    public class CGIRelay

extends java.lang.Object

Passes messages between an `AppletCommunicationStrategy` and a `MessageServer`.

Field Summary
`(package private) ServiceAddress` | `serverAddr`
`(package private) MessageServer.Strategy` | `strategy`

Constructor Summary
`CGIRelay()`

Method Summary
`(package private) java.lang.String` | `askMessageServer(AppletMessage message)`
`(package private) java.lang.String` | `getInput()`
`(package private) void` | `handleRequest()`
`static void` | `main(java.lang.String[] argv)`
`(package private) void` | `printReply(java.lang.String reply)`
`(package private) void` | `sendStatusToMessageServer(java.lang.String status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverAddr

    ServiceAddress serverAddr

### strategy

    MessageServer.Strategy strategy

Constructor Detail

### CGIRelay

    public CGIRelay()

Method Detail

### main

    public static void main(java.lang.String[] argv)

### handleRequest

    void handleRequest()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getInput

    java.lang.String getInput()
                        throws java.io.IOException,
                               java.io.UnsupportedEncodingException

  Throws:
    `java.io.IOException`
    `java.io.UnsupportedEncodingException`

### askMessageServer

    java.lang.String askMessageServer(AppletMessage message)

### printReply

    void printReply(java.lang.String reply)
              throws java.io.IOException,
                     java.io.UnsupportedEncodingException

  Throws:
    `java.io.IOException`
    `java.io.UnsupportedEncodingException`

### sendStatusToMessageServer

    void sendStatusToMessageServer(java.lang.String status)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD